[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 1697

`public constructor TControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | The owning component.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor using TheOwner as the owner for the class instance. Resources are allocated in the method for members in the class instance, and the default values are set for the following properties:

- Align
- Anchors
- BaseBounds
- CaptureMouseButtons
- Color
- ControlStyle
- Cursor
- DesktopFont
- DragCursor
- Enabled
- FloatingDockSiteClass
- Font
- HelpType
- IsControl
- ParentBidiMode
- ParentColor
- ParentFont
- ParentShowHint
- Visible
- WindowProc

Remark: | Create ensures that auto-sizing is disabled until the class instance is fully realized. Auto-sizing is re-enabled on exit from the method.

## See also

TControl.Destroy |  | Removes the control from its Parent.